GET Statements
To get pending statement information, call GET on the pending statement endpoint with your private key from your server and a few request parameters.
We use pagination in the backend, with a maximum limit of 100
The search query param uses RSQL with the following keys:
NOTE: To use AND or OR filters, delimit your search parameters using ";" for Logical AND, and "," for Logical OR
Operator | Definition | Example |
|---|---|---|
== | Equals | status==Pending |
!= | Not Equals | status!=Failed |
=gt= | Greater Than | amountDue=gt=0 |
=ge= | Greater Than Or Equals | amountDue=ge=0 |
=lt= | Less Than | amountDue=lt=100000 |
=le= | Less Than Or Equals | amountDue=le=100000 |
=in= | In | status=in=(Pending,InProgress) |
=out= | Not In | status=out=(Failed) |
GET Pending Invoices
Get Pending Invoices by Query
GET
https://gfp-api.acdev.io/api/v1/pending-invoices/search
Query Parameters
- limitstringrequiredDescription
- offsetstringrequiredDescription
- sortstringrequiredDescription
- filterstringrequiredDescription
curl
curl --request GET \
--url 'https://test-api.featherpay.io/api/v1/pending-invoices/search?filter=status%3Din%3D(Pending)&sort=-updatedDt&limit=10&offset=0' \
--header 'content-type: application/json;charset=UTF-8' \
--header 'accept: application/json' \
--header 'X-Api-Key: {Secret API Key}' \
--header 'X-Store-Id: {Store ULID}'200
{
"entities": [
{
"id": "01H3JK407G9SBRGSJ1ZRW7V93T",
"storeId": "01GDG5BZA29R3SZMZ63Y2GFENV",
"amountDue": 15780,
"plannedExecutionDt": "2023-06-22T18:20:39.476145",
"email": "[email protected]",
"smsPhoneNumber": "+15556873509",
"firstName": "John",
"lastName": "Snow",
"internalPatientId": "01H3JK403F9MPS8H79CTHR1RQC",
"externalPatientId": "2006-1000009",
"fileName": "test_upload.xlsx",
"createdBy": "[email protected]",
"createdDt": "2023-06-22T18:20:39.536412",
"updatedDt": "2023-06-22T18:20:39.536422",
"sendEmail": true,
"sendText": true,
"sendPaper": false,
"ableToSendEmail": true,
"ableToSendText": true,
"ableToSendPaper": true,
"warnings": [],
"errors": [],
"status": "Pending"
}
],
"currentPage": 0,
"totalItems": 1,
"totalPages": 1
}400
{
"subErrors":[],
"status":"BAD_REQUEST",
"message":"Could not find store for: orders id: 01FYWBXKKH8DX8MFBZ37VMYVA1"
}

Response
{
"currentPage": 0 //current Page of pagination. Should equal offset
"totalItem": 110 //Total Items that match the query
"totalPages": 10 // Will be the total pages needed to paginate to get all items
"entities": [] //Array of the entities to be returned.
}